=head1 NAME

Gtk2::CellRendererCombo - wrapper for GtkCellRendererCombo

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::CellRenderer
                 +----Gtk2::CellRendererText
                      +----Gtk2::CellRendererCombo



=cut


=head1 METHODS

=head2 cellrenderer = Gtk2::CellRendererCombo-E<gt>B<new> 



=cut


=head1 PROPERTIES

=over

=item 'has-entry' (boolean : default true : readable / writable / private / static-nick / static-blurb)

If FALSE, don't allow to enter strings other than the chosen ones

=item 'model' (Gtk2::TreeModel : default undef : readable / writable / private / static-nick / static-blurb)

The model containing the possible values for the combo box

=item 'text-column' (integer : default -1 : readable / writable / private / static-nick / static-blurb)

A column in the data source model to get the strings from

=back



=cut


=head1 SIGNALS

=over

=item B<changed> (Gtk2::CellRendererCombo, string, Gtk2::TreeIter)

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::CellRenderer>, L<Gtk2::CellRendererText>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

